#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 9. General Libraries

- Prev

  AppStream-1.0.4

- Next

  Apr-1.7.5

- Up
- Home

# appstream-glib-0.8.3

## Introduction to appstream-glib

The appstream-glib provides GObjects and helper methods to make it easy to read and write AppStream metadata. It also provides a simple DOM (Document Object Model) implementation that makes it easy to edit nodes and convert to and from the standardized XML representation.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): http://people.freedesktop.org/~hughsient/appstream-glib/releases/appstream-glib-0.8.3.tar.xz

- Download MD5 sum: 2ffd46eff1c16f31e435849b706c2287

- Download size: 2.2 MB

- Estimated disk space required: 15 MB (with tests)

- Estimated build time: 0.1 SBU (with tests)

### appstream-glib Dependencies

#### Required

cURL-8.12.1, gdk-pixbuf-2.42.12, GTK-3.24.48, and libarchive-3.7.7

#### Optional

docbook-xml-4.5, docbook-xsl-nons-1.79.2, GTK-Doc-1.34.0, libxslt-1.1.42, and libyaml-0.2.5

## Installation of appstream-glib

Install appstream-glib by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release \
          -D rpm=false        &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Contents

Installed Programs: appstream-builder, appstream-compose, and appstream-util
Installed Libraries: libappstream-glib.so
Installed Directories: /usr/include/libappstream-glib, /usr/lib/asb-plugins-5, and /usr/share/installed-tests/appstream-glib

### Short Descriptions

appstream-builder | builds AppStream metadata
appdata-compose | generates AppStream metadata
appstream-util | Is a management tool for appstream-builder
`libappstream-glib.so` | contains the API functions

- Prev

  AppStream-1.0.4

- Next

  Apr-1.7.5

- Up
- Home